summaryrefslogtreecommitdiffstats
path: root/meta/packages/initscripts
diff options
context:
space:
mode:
Diffstat (limited to 'meta/packages/initscripts')
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/akita/devices68
-rw-r--r--meta/packages/initscripts/initscripts-1.0/arm/alignment.sh6
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/banner15
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/bootmisc.sh71
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/c7x0/devices68
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/checkfs.sh46
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/checkroot.sh165
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/collie/devices67
-rw-r--r--meta/packages/initscripts/initscripts-1.0/device_table.txt179
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/devices66
-rw-r--r--meta/packages/initscripts/initscripts-1.0/devpts5
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/devpts.sh28
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/finish6
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/h3600/devices37
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/h3900/devices37
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/halt31
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/hostname.sh11
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/jornada56x/devices37
-rw-r--r--meta/packages/initscripts/initscripts-1.0/jornada6xx/devices70
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/jornada7xx/devices37
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/mountall.sh45
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/mountnfs.sh87
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/openmn/extractfs7
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/openmn/packages63
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/openmn/umountfs17
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/openzaurus/checkversion31
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/poodle/devices67
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/populate-volatile.sh138
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/ramdisk46
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/reboot17
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/rmnologin14
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/sendsigs17
-rw-r--r--meta/packages/initscripts/initscripts-1.0/simpad/devices37
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/single21
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/spitz/devices68
-rw-r--r--meta/packages/initscripts/initscripts-1.0/sysfs.sh11
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/tosa/devices72
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/uml/devices61
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/umountfs18
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/umountnfs.sh28
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/urandom41
-rw-r--r--meta/packages/initscripts/initscripts-1.0/volatiles39
-rw-r--r--meta/packages/initscripts/initscripts_1.0.bb141
43 files changed, 2136 insertions, 0 deletions
diff --git a/meta/packages/initscripts/initscripts-1.0/akita/devices b/meta/packages/initscripts/initscripts-1.0/akita/devices
new file mode 100755
index 0000000000..083090ecb9
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/akita/devices
@@ -0,0 +1,68 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6. /etc/default/rcS
7
8# exit without doing anything if udev is active
9if test -e /dev/.udevdb; then
10 exit 0
11fi
12
13if test -e /dev/.devfsd
14then
15 if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
16 ln -s /dev/touchscreen/0 /dev/ts
17 ln -s /dev/touchscreen/0raw /dev/tsraw
18 ln -s /dev/vc/0 /dev/tty0
19 ln -s /dev/vc/1 /dev/tty1
20 ln -s /dev/vc/2 /dev/tty2
21 ln -s /dev/vc/3 /dev/tty3
22 ln -s /dev/vc/4 /dev/tty4
23 ln -s /dev/vc/5 /dev/tty5
24 ln -s /dev/fb/0 /dev/fb0
25# ln -s /dev/tts/0 /dev/ttySA0
26# ln -s /dev/tts/1 /dev/ttySA1
27# ln -s /dev/tts/2 /dev/ttySA2
28
29 ln -s /dev/sound/dsp /dev/dsp
30 ln -s /dev/sound/mixer /dev/mixer
31
32 ln -s /dev/v4l/video0 /dev/video0
33 ln -s /dev/v4l/video0 /dev/video
34 ln -s /dev/misc/rtc /dev/rtc
35
36 ## need this so that ppp will autoload the ppp modules
37 mknod /dev/ppp c 108 0
38 if test "$VERBOSE" != "no"; then echo "done"; fi
39else
40 if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
41 mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
42 if test $? -ne 0; then
43 if test "$VERBOSE" != "no"; then echo "failed"; fi
44 else
45 if test "$VERBOSE" != "no"; then echo "done"; fi
46 fi
47 if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
48 cd /
49 mkdir -p dev/msys
50 mkdir -p dev/pts
51 mkdir -p dev/input
52 mkdir -p dev/vc
53 for i in 0 1 2 3 4 5 6 7 8 9; do
54 ln -s /dev/tty$i /dev/vc/$i
55 done
56 ln -sf /dev/sharp_ts /dev/ts
57 ln -sf /dev/sharp_fl /dev/fl
58 ln -sf /proc/self/fd /dev/fd
59 ln -sf /proc/kcore /dev/core
60 /sbin/makedevs -r / -D /etc/device_table
61 if test $? -ne 0; then
62 if test "$VERBOSE" != "no"; then echo "failed"; fi
63 else
64 if test "$VERBOSE" != "no"; then echo "done"; fi
65 fi
66fi
67
68exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/arm/alignment.sh b/meta/packages/initscripts/initscripts-1.0/arm/alignment.sh
new file mode 100644
index 0000000000..4a66dc6bc8
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/arm/alignment.sh
@@ -0,0 +1,6 @@
1#!/bin/sh
2
3if [ -e /proc/cpu/alignment ]; then
4 echo "3" > /proc/cpu/alignment
5fi
6
diff --git a/meta/packages/initscripts/initscripts-1.0/banner b/meta/packages/initscripts/initscripts-1.0/banner
new file mode 100755
index 0000000000..21a01d2846
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/banner
@@ -0,0 +1,15 @@
1#!/bin/sh
2
3if [ ! -e /dev/tty ]; then
4 /bin/mknod -m 0666 /dev/tty c 5 0
5fi
6
7if ( > /dev/tty0 ) 2>/dev/null; then
8 vtmaster=/dev/tty0
9elif ( > /dev/vc/0 ) 2>/dev/null; then
10 vtmaster=/dev/vc/0
11else
12 vtmaster=/dev/null
13fi
14echo > $vtmaster
15echo "Please wait: booting..." > $vtmaster
diff --git a/meta/packages/initscripts/initscripts-1.0/bootmisc.sh b/meta/packages/initscripts/initscripts-1.0/bootmisc.sh
new file mode 100755
index 0000000000..814dba676c
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/bootmisc.sh
@@ -0,0 +1,71 @@
1#
2# bootmisc.sh Miscellaneous things to be done during bootup.
3#
4
5. /etc/default/rcS
6#
7# Put a nologin file in /etc to prevent people from logging in before
8# system startup is complete.
9#
10if test "$DELAYLOGIN" = yes
11then
12 echo "System bootup in progress - please wait" > /etc/nologin
13 cp /etc/nologin /etc/nologin.boot
14fi
15
16#
17# Set pseudo-terminal access permissions.
18#
19if ( ! grep -q devfs /proc/mounts ) && test -c /dev/ttyp0
20then
21 chmod 666 /dev/tty[p-za-e][0-9a-f]
22 chown root:tty /dev/tty[p-za-e][0-9a-f]
23fi
24
25#
26# Apply /proc settings if defined
27#
28SYSCTL_CONF="/etc/sysctl.conf"
29if [ -f "${SYSCTL_CONF}" ]
30then
31 if [ -x "/sbin/sysctl" ]
32 then
33 /sbin/sysctl -p "${SYSCTL_CONF}"
34 else
35 echo "To have ${SYSCTL_CONF} applied during boot, install package <procps>."
36 fi
37fi
38
39#
40# Update /etc/motd.
41#
42if test "$EDITMOTD" != no
43then
44 uname -a > /etc/motd.tmp
45 sed 1d /etc/motd >> /etc/motd.tmp
46 mv /etc/motd.tmp /etc/motd
47fi
48
49#
50# This is as good a place as any for a sanity check
51# /tmp should be a symlink to /var/tmp to cut down on the number
52# of mounted ramdisks.
53if test ! -L /tmp && test -d /var/tmp
54then
55 rm -rf /tmp
56 ln -sf /var/tmp /tmp
57fi
58
59#
60# Update dynamic library cache
61#
62/sbin/ldconfig
63
64#
65# Recover the time, if there is a time file
66#
67if test -e /etc/timestamp
68then
69 date -s `cat /etc/timestamp`
70fi
71: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/c7x0/devices b/meta/packages/initscripts/initscripts-1.0/c7x0/devices
new file mode 100755
index 0000000000..083090ecb9
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/c7x0/devices
@@ -0,0 +1,68 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6. /etc/default/rcS
7
8# exit without doing anything if udev is active
9if test -e /dev/.udevdb; then
10 exit 0
11fi
12
13if test -e /dev/.devfsd
14then
15 if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
16 ln -s /dev/touchscreen/0 /dev/ts
17 ln -s /dev/touchscreen/0raw /dev/tsraw
18 ln -s /dev/vc/0 /dev/tty0
19 ln -s /dev/vc/1 /dev/tty1
20 ln -s /dev/vc/2 /dev/tty2
21 ln -s /dev/vc/3 /dev/tty3
22 ln -s /dev/vc/4 /dev/tty4
23 ln -s /dev/vc/5 /dev/tty5
24 ln -s /dev/fb/0 /dev/fb0
25# ln -s /dev/tts/0 /dev/ttySA0
26# ln -s /dev/tts/1 /dev/ttySA1
27# ln -s /dev/tts/2 /dev/ttySA2
28
29 ln -s /dev/sound/dsp /dev/dsp
30 ln -s /dev/sound/mixer /dev/mixer
31
32 ln -s /dev/v4l/video0 /dev/video0
33 ln -s /dev/v4l/video0 /dev/video
34 ln -s /dev/misc/rtc /dev/rtc
35
36 ## need this so that ppp will autoload the ppp modules
37 mknod /dev/ppp c 108 0
38 if test "$VERBOSE" != "no"; then echo "done"; fi
39else
40 if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
41 mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
42 if test $? -ne 0; then
43 if test "$VERBOSE" != "no"; then echo "failed"; fi
44 else
45 if test "$VERBOSE" != "no"; then echo "done"; fi
46 fi
47 if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
48 cd /
49 mkdir -p dev/msys
50 mkdir -p dev/pts
51 mkdir -p dev/input
52 mkdir -p dev/vc
53 for i in 0 1 2 3 4 5 6 7 8 9; do
54 ln -s /dev/tty$i /dev/vc/$i
55 done
56 ln -sf /dev/sharp_ts /dev/ts
57 ln -sf /dev/sharp_fl /dev/fl
58 ln -sf /proc/self/fd /dev/fd
59 ln -sf /proc/kcore /dev/core
60 /sbin/makedevs -r / -D /etc/device_table
61 if test $? -ne 0; then
62 if test "$VERBOSE" != "no"; then echo "failed"; fi
63 else
64 if test "$VERBOSE" != "no"; then echo "done"; fi
65 fi
66fi
67
68exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/checkfs.sh b/meta/packages/initscripts/initscripts-1.0/checkfs.sh
new file mode 100755
index 0000000000..7d2d75ef57
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/checkfs.sh
@@ -0,0 +1,46 @@
1#
2# checkfs.sh Check all filesystems.
3#
4# Version: @(#)checkfs 2.83 05-Oct-2001 miquels@cistron.nl
5#
6
7. /etc/default/rcS
8
9#
10# Check the rest of the filesystems.
11#
12if test ! -f /fastboot
13then
14 if test -f /forcefsck
15 then
16 force="-f"
17 else
18 force=""
19 fi
20 if test "$FSCKFIX" = yes
21 then
22 fix="-y"
23 else
24 fix="-a"
25 fi
26 spinner="-C"
27 case "$TERM" in
28 dumb|network|unknown|"") spinner="" ;;
29 esac
30 test "`uname -m`" = "s390" && spinner="" # This should go away
31 test "$VERBOSE" != no && echo "Checking all filesystems..."
32 fsck $spinner -R -A $fix $force
33 if test "$?" -gt 1
34 then
35 echo
36 echo "fsck failed. Please repair manually."
37 echo
38 echo "CONTROL-D will exit from this shell and continue system startup."
39 echo
40 # Start a single user shell on the console
41 /sbin/sulogin $CONSOLE
42 fi
43fi
44rm -f /fastboot /forcefsck
45
46: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/checkroot.sh b/meta/packages/initscripts/initscripts-1.0/checkroot.sh
new file mode 100755
index 0000000000..8255038c32
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/checkroot.sh
@@ -0,0 +1,165 @@
1#
2# checkroot.sh Check to root filesystem.
3#
4# Version: @(#)checkroot.sh 2.84 25-Jan-2002 miquels@cistron.nl
5#
6
7. /etc/default/rcS
8
9#
10# Set SULOGIN in /etc/default/rcS to yes if you want a sulogin to be spawned
11# from this script *before anything else* with a timeout, like SCO does.
12#
13test "$SULOGIN" = yes && sulogin -t 30 $CONSOLE
14
15#
16# Ensure that bdflush (update) is running before any major I/O is
17# performed (the following fsck is a good example of such activity :).
18#
19test -x /sbin/update && update
20
21#
22# Read /etc/fstab.
23#
24exec 9>&0 </etc/fstab
25rootmode=rw
26rootopts=rw
27rootcheck=no
28swap_on_md=no
29devfs=
30while read fs mnt type opts dump pass junk
31do
32 case "$fs" in
33 ""|\#*)
34 continue;
35 ;;
36 /dev/md*)
37 # Swap on md device.
38 test "$type" = swap && swap_on_md=yes
39 ;;
40 /dev/*)
41 ;;
42 *)
43 # Might be a swapfile.
44 test "$type" = swap && swap_on_md=yes
45 ;;
46 esac
47 test "$type" = devfs && devfs="$fs"
48 test "$mnt" != / && continue
49 rootopts="$opts"
50 test "$pass" = 0 -o "$pass" = "" && rootcheck=no
51 case "$opts" in
52 ro|ro,*|*,ro|*,ro,*)
53 rootmode=ro
54 ;;
55 esac
56done
57exec 0>&9 9>&-
58
59#
60# Activate the swap device(s) in /etc/fstab. This needs to be done
61# before fsck, since fsck can be quite memory-hungry.
62#
63doswap=no
64test -d /proc/1 || mount -n /proc
65case "`uname -r`" in
66 2.[0123].*)
67 if test $swap_on_md = yes && grep -qs resync /proc/mdstat
68 then
69 test "$VERBOSE" != no && echo "Not activating swap - RAID array resyncing"
70 else
71 doswap=yes
72 fi
73 ;;
74 *)
75 doswap=yes
76 ;;
77esac
78if test $doswap = yes
79then
80 test "$VERBOSE" != no && echo "Activating swap"
81 swapon -a 2> /dev/null
82fi
83
84#
85# Check the root filesystem.
86#
87if test -f /fastboot || test $rootcheck = no
88then
89 test $rootcheck = yes && echo "Fast boot, no filesystem check"
90else
91 #
92 # Ensure that root is quiescent and read-only before fsck'ing.
93 #
94 mount -n -o remount,ro /
95 if test $? = 0
96 then
97 if test -f /forcefsck
98 then
99 force="-f"
100 else
101 force=""
102 fi
103 if test "$FSCKFIX" = yes
104 then
105 fix="-y"
106 else
107 fix="-a"
108 fi
109 spinner="-C"
110 case "$TERM" in
111 dumb|network|unknown|"") spinner="" ;;
112 esac
113 test `uname -m` = s390 && spinner="" # This should go away
114 test "$VERBOSE" != no && echo "Checking root filesystem..."
115 fsck $spinner $force $fix /
116 #
117 # If there was a failure, drop into single-user mode.
118 #
119 # NOTE: "failure" is defined as exiting with a return code of
120 # 2 or larger. A return code of 1 indicates that filesystem
121 # errors were corrected but that the boot may proceed.
122 #
123 if test "$?" -gt 1
124 then
125 # Surprise! Re-directing from a HERE document (as in
126 # "cat << EOF") won't work, because the root is read-only.
127 echo
128 echo "fsck failed. Please repair manually and reboot. Please note"
129 echo "that the root filesystem is currently mounted read-only. To"
130 echo "remount it read-write:"
131 echo
132 echo " # mount -n -o remount,rw /"
133 echo
134 echo "CONTROL-D will exit from this shell and REBOOT the system."
135 echo
136 # Start a single user shell on the console
137 /sbin/sulogin $CONSOLE
138 reboot -f
139 fi
140 else
141 echo "*** ERROR! Cannot fsck root fs because it is not mounted read-only!"
142 echo
143 fi
144fi
145
146#
147# If the root filesystem was not marked as read-only in /etc/fstab,
148# remount the rootfs rw but do not try to change mtab because it
149# is on a ro fs until the remount succeeded. Then clean up old mtabs
150# and finally write the new mtab.
151#
152mount -n -o remount,$rootmode /
153if test "$rootmode" = rw
154then
155 if test ! -L /etc/mtab
156 then
157 rm -f /etc/mtab~ /etc/nologin
158 : > /etc/mtab
159 fi
160 mount -f -o remount /
161 mount -f /proc
162 test "$devfs" && grep -q '^devfs /dev' /proc/mounts && mount -f "$devfs"
163fi
164
165: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/collie/devices b/meta/packages/initscripts/initscripts-1.0/collie/devices
new file mode 100755
index 0000000000..9d1624428a
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/collie/devices
@@ -0,0 +1,67 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6. /etc/default/rcS
7
8# exit without doing anything if udev is active
9if test -e /dev/.udevdb; then
10 exit 0
11fi
12
13if test -e /dev/.devfsd
14then
15 if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
16 ln -s /dev/touchscreen/0 /dev/ts
17 ln -s /dev/touchscreen/0raw /dev/tsraw
18 ln -s /dev/vc/0 /dev/tty0
19 ln -s /dev/vc/1 /dev/tty1
20 ln -s /dev/vc/2 /dev/tty2
21 ln -s /dev/vc/3 /dev/tty3
22 ln -s /dev/vc/4 /dev/tty4
23 ln -s /dev/vc/5 /dev/tty5
24 ln -s /dev/fb/0 /dev/fb0
25# ln -s /dev/tts/0 /dev/ttySA0
26# ln -s /dev/tts/1 /dev/ttySA1
27# ln -s /dev/tts/2 /dev/ttySA2
28
29 ln -s /dev/sound/dsp /dev/dsp
30 ln -s /dev/sound/mixer /dev/mixer
31
32 ln -s /dev/v4l/video0 /dev/video0
33 ln -s /dev/v4l/video0 /dev/video
34 ln -s /dev/misc/rtc /dev/rtc
35
36 ## need this so that ppp will autoload the ppp modules
37 mknod /dev/ppp c 108 0
38 if test "$VERBOSE" != "no"; then echo "done"; fi
39else
40 if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
41 mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
42 if test $? -ne 0; then
43 if test "$VERBOSE" != "no"; then echo "failed"; fi
44 else
45 if test "$VERBOSE" != "no"; then echo "done"; fi
46 fi
47 if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
48 cd /
49 mkdir -p dev/msys
50 mkdir -p dev/pts
51 mkdir -p dev/vc
52 for i in 0 1 2 3 4 5 6 7 8 9; do
53 ln -s /dev/tty$i /dev/vc/$i
54 done
55 ln -sf /dev/sharp_ts /dev/ts
56 ln -sf /dev/sharp_fl /dev/fl
57 ln -sf /proc/self/fd /dev/fd
58 ln -sf /proc/kcore /dev/core
59 /sbin/makedevs -r / -D /etc/device_table
60 if test $? -ne 0; then
61 if test "$VERBOSE" != "no"; then echo "failed"; fi
62 else
63 if test "$VERBOSE" != "no"; then echo "done"; fi
64 fi
65fi
66
67exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/device_table.txt b/meta/packages/initscripts/initscripts-1.0/device_table.txt
new file mode 100644
index 0000000000..35560b4025
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/device_table.txt
@@ -0,0 +1,179 @@
1#/dev/ d 775 0 0 - - - - -
2#/dev/msys d 775 0 0 - - - - -
3#/dev/pts d 775 0 0 - - - - -
4#/var d 775 0 0 - - - - -
5/boot/var/empty d 755 0 3 - - - -
6/dev/apm_bios c 660 0 46 10 134 - - -
7/dev/audio c 660 0 29 14 4 - - -
8/dev/audio1 c 660 0 29 14 20 - - -
9/dev/audio2 c 660 0 29 14 36 - - -
10/dev/audio3 c 660 0 29 14 52 - - -
11/dev/bty c 644 0 0 60 0 0 1 5
12/dev/sharp_fl c 640 0 44 254 0 - - -
13/dev/console c 660 0 5 5 1 - -
14/dev/cusa0 c 640 0 0 205 5 - - -
15/dev/cusa1 c 640 0 0 205 6 - - -
16/dev/cusa2 c 640 0 0 205 7 - - -
17/dev/dsp c 660 0 29 14 3 - - -
18/dev/dsp1 c 660 0 29 14 19 - - -
19/dev/dsp2 c 660 0 29 14 35 - - -
20/dev/dsp3 c 660 0 29 14 51 - - -
21/dev/fb c 660 0 44 29 0 0 32 2
22/dev/fb0autodetect c 660 0 44 29 1 - - -
23/dev/fb0current c 660 0 44 29 0 - - -
24#/dev/fb1 c 660 0 44 29 32 - - -
25/dev/fb1autodetect c 660 0 44 29 33 - - -
26/dev/fb1current c 660 0 44 29 32 - - -
27/dev/full c 666 0 7 - - -
28/dev/hda b 660 0 6 3 0 - - -
29/dev/hda b 660 0 6 3 1 1 1 20
30/dev/hdb b 660 0 6 3 64 - - -
31/dev/hdb b 660 0 6 3 65 1 1 20
32/dev/hdc b 660 0 6 22 0 - - -
33/dev/hdc b 660 0 6 22 1 1 1 20
34/dev/initctl p 600 0 0 - - - -
35/dev/i2c0 c 660 0 0 89 0 - - -
36/dev/inportbm c 660 0 0 10 2 - - -
37/dev/input/event c 660 0 0 13 64 0 1 20
38/dev/ircomm0 c 640 0 0 161 0 - - -
39/dev/jbm c 660 0 0 10 4 - - -
40/dev/kmem c 640 0 15 1 2 - - -
41/dev/lirc c 660 0 5 61 0 - - -
42/dev/logibm c 660 0 0 10 0 - - -
43/dev/loop0 b 660 0 11 7 0 - - -
44/dev/loop1 b 660 0 11 7 1 - - -
45/dev/mem c 640 0 15 1 1 - - -
46/dev/mixer c 666 0 0 14 0 - - -
47/dev/mixer1 c 666 0 0 14 16 - - -
48/dev/mixer2 c 666 0 0 14 32 - - -
49/dev/mixer3 c 666 0 0 14 48 - - -
50/dev/mmcda b 640 0 0 60 0 - - -
51/dev/mmcda1 b 640 0 0 60 1 - - -
52/dev/mmcda2 b 640 0 0 60 2 - - -
53/dev/msys/fla b 660 0 11 100 0 - - -
54/dev/msys/fla1 b 660 0 11 100 1 - - -
55/dev/msys/fla2 b 660 0 11 100 2 - - -
56/dev/msys/fla3 b 660 0 11 100 3 - - -
57/dev/msys/fla4 b 660 0 11 100 4 - - -
58/dev/msys/flb b 660 0 11 100 64 - - -
59/dev/msys/flb1 b 660 0 11 100 65 - - -
60/dev/msys/flb2 b 660 0 11 100 66 - - -
61/dev/msys/flb3 b 660 0 11 100 67 - - -
62/dev/msys/flb4 b 660 0 11 100 68 - - -
63/dev/mtd c 660 0 6 90 0 0 2 8
64/dev/mtdblock b 640 0 0 31 0 0 1 8
65/dev/nst0 c 664 0 11 9 128 - - -
66/dev/nst0a c 664 0 11 9 224 - - -
67/dev/nst0l c 664 0 11 9 160 - - -
68/dev/nst0m c 664 0 11 9 192 - - -
69/dev/nst1 c 664 0 11 9 129 - - -
70/dev/nst1a c 664 0 11 9 225 - - -
71/dev/nst1l c 664 0 11 9 161 - - -
72/dev/nst1m c 664 0 11 9 193 - - -
73/dev/null c 666 0 0 1 3 - - -
74/dev/par0 c 660 0 7 6 0 - - -
75/dev/par1 c 660 0 7 6 1 - - -
76/dev/par2 c 660 0 7 6 2 - - -
77/dev/port c 640 0 15 1 4 - - -
78/dev/ppp c 640 0 0 108 0 - - -
79/dev/psaux c 660 0 0 10 1 - - -
80/dev/ptmx c 666 0 5 5 2 - - -
81/dev/ptya0 c 660 0 5 2 176 - - -
82/dev/ptya1 c 660 0 5 2 177 - - -
83/dev/ptya2 c 660 0 5 2 178 - - -
84/dev/ptya3 c 660 0 5 2 179 - - -
85/dev/ptya4 c 660 0 5 2 180 - - -
86/dev/ptya5 c 660 0 5 2 181 - - -
87/dev/ptya6 c 660 0 5 2 182 - - -
88/dev/ptya7 c 660 0 5 2 183 - - -
89/dev/ptya8 c 660 0 5 2 184 - - -
90/dev/ptya9 c 660 0 5 2 185 - - -
91/dev/ptyaa c 660 0 5 2 186 - - -
92/dev/ptyab c 660 0 5 2 187 - - -
93/dev/ptyac c 660 0 5 2 188 - - -
94/dev/ptyad c 660 0 5 2 189 - - -
95/dev/ptyae c 660 0 5 2 190 - - -
96/dev/ptyaf c 660 0 5 2 191 - - -
97/dev/ram b 640 0 0 1 0 0 1 4
98/dev/random c 444 0 0 1 8 - - -
99/dev/rfcomm0 c 660 0 0 216 0 - - -
100/dev/rfcomm1 c 660 0 0 216 1 - - -
101/dev/rfcomm2 c 660 0 0 216 2 - - -
102/dev/rfcomm3 c 660 0 0 216 3 - - -
103/dev/rfcomm4 c 660 0 0 216 4 - - -
104/dev/rfcomm5 c 660 0 0 216 5 - - -
105/dev/rfcomm6 c 660 0 0 216 6 - - -
106/dev/rfcomm7 c 660 0 0 216 7 - - -
107/dev/rfcomm8 c 660 0 0 216 8 - - -
108/dev/rfcomm9 c 660 0 0 216 9 - - -
109/dev/rfcomm10 c 660 0 0 216 10 - - -
110/dev/rfcomm11 c 660 0 0 216 11 - - -
111/dev/rfcomm12 c 660 0 0 216 12 - - -
112/dev/rfcomm13 c 660 0 0 216 13 - - -
113/dev/rfcomm14 c 660 0 0 216 14 - - -
114/dev/rfcomm15 c 660 0 0 216 15 - - -
115/dev/rmidi0 c 660 0 0 35 64 - - -
116/dev/rmidi1 c 660 0 0 35 65 - - -
117/dev/rmidi2 c 660 0 0 35 66 - - -
118/dev/rmidi3 c 660 0 0 35 67 - - -
119/dev/rtc c 660 0 47 10 135 - - -
120/dev/scd0 b 660 0 6 11 0 - - -
121/dev/scd1 b 660 0 6 11 1 - - -
122/dev/sda b 660 0 6 8 0 - - -
123/dev/sda1 b 660 0 6 8 1 - - -
124/dev/sda2 b 660 0 6 8 2 - - -
125/dev/sda3 b 660 0 6 8 3 - - -
126/dev/sda4 b 660 0 6 8 4 - - -
127/dev/sda5 b 660 0 6 8 5 - - -
128/dev/sda6 b 660 0 6 8 6 - - -
129/dev/sda7 b 660 0 6 8 7 - - -
130/dev/sda8 b 660 0 6 8 8 - - -
131/dev/sda9 b 660 0 6 8 9 - - -
132/dev/sdb b 660 0 6 8 16 - - -
133/dev/sdb1 b 660 0 6 8 17 - - -
134/dev/sdb2 b 660 0 6 8 18 - - -
135/dev/sdb3 b 660 0 6 8 19 - - -
136/dev/sdb4 b 660 0 6 8 20 - - -
137/dev/sdb5 b 660 0 6 8 21 - - -
138/dev/sdb6 b 660 0 6 8 22 - - -
139/dev/sdb7 b 660 0 6 8 23 - - -
140/dev/sdb8 b 660 0 6 8 24 - - -
141/dev/sdb9 b 660 0 6 8 25 - - -
142/dev/sdc b 660 0 6 8 32 - - -
143/dev/sdc1 b 660 0 6 8 33 - - -
144/dev/sdc2 b 660 0 6 8 34 - - -
145/dev/sdc3 b 660 0 6 8 35 - - -
146/dev/sdc4 b 660 0 6 8 36 - - -
147/dev/sdc5 b 660 0 6 8 37 - - -
148/dev/sdc6 b 660 0 6 8 38 - - -
149/dev/sdc7 b 660 0 6 8 39 - - -
150/dev/sdc8 b 660 0 6 8 40 - - -
151/dev/sdc9 b 660 0 6 8 41 - - -
152/dev/sd_slotstat c 660 0 6 10 240 - - -
153/dev/sharp_audioctl c 660 0 29 10 213 - - -
154/dev/sharp_buz c 660 0 29 10 211 - - -
155/dev/sharp_kbdctl c 660 0 45 10 214 - - -
156/dev/sharp_led c 660 0 48 10 210 - - -
157/dev/sharp_ts c 640 0 45 11 0 - - -
158/dev/smtpe0 c 640 0 0 35 128 - - -
159/dev/smtpe1 c 640 0 0 35 129 - - -
160/dev/smtpe2 c 640 0 0 35 130 - - -
161/dev/smtpe3 c 640 0 0 35 131 - - -
162/dev/sndstat c 660 0 29 14 6 - - -
163/dev/st0 c 660 0 11 9 0 - - -
164/dev/st0a c 660 0 11 9 96 - - -
165/dev/st0l c 660 0 11 9 32 - - -
166/dev/st0m c 660 0 11 9 64 - - -
167/dev/st1 c 660 0 11 9 1 - - -
168/dev/st1a c 660 0 11 9 97 - - -
169/dev/st1l c 660 0 11 9 33 - - -
170/dev/st1m c 660 0 11 9 65 - - -
171/dev/tty c 664 0 5 5 0 - - -
172/dev/tty c 666 0 5 4 0 0 1 9
173/dev/ttyS c 640 0 5 4 64 0 1 4
174/dev/ttySA c 640 0 5 204 5 0 1 4
175/dev/ttyUSB c 660 0 5 188 0 0 1 2
176/dev/urandom c 644 0 0 1 9 - - -
177/dev/usbmouse c 640 0 45 10 32 - - -
178/dev/zero c 644 0 0 1 5 - - -
179/dev/input/mice c 660 0 0 13 63 - - -
diff --git a/meta/packages/initscripts/initscripts-1.0/devices b/meta/packages/initscripts/initscripts-1.0/devices
new file mode 100755
index 0000000000..28fb71fe3f
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/devices
@@ -0,0 +1,66 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6. /etc/default/rcS
7
8# exit without doing anything if udev is active
9if test -e /dev/.udevdb; then
10 exit 0
11fi
12
13if test -e /dev/.devfsd
14then
15 if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
16 ln -s /dev/touchscreen/0 /dev/ts
17 ln -s /dev/touchscreen/0raw /dev/tsraw
18 ln -s /dev/vc/0 /dev/tty0
19 ln -s /dev/vc/1 /dev/tty1
20 ln -s /dev/vc/2 /dev/tty2
21 ln -s /dev/vc/3 /dev/tty3
22 ln -s /dev/vc/4 /dev/tty4
23 ln -s /dev/vc/5 /dev/tty5
24 ln -s /dev/fb/0 /dev/fb0
25# ln -s /dev/tts/0 /dev/ttySA0
26# ln -s /dev/tts/1 /dev/ttySA1
27# ln -s /dev/tts/2 /dev/ttySA2
28
29 ln -s /dev/sound/dsp /dev/dsp
30 ln -s /dev/sound/mixer /dev/mixer
31
32 ln -s /dev/v4l/video0 /dev/video0
33 ln -s /dev/v4l/video0 /dev/video
34 ln -s /dev/misc/rtc /dev/rtc
35
36 ## need this so that ppp will autoload the ppp modules
37 mknod /dev/ppp c 108 0
38 if test "$VERBOSE" != "no"; then echo "done"; fi
39else
40 if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
41 mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
42 if test $? -ne 0; then
43 if test "$VERBOSE" != "no"; then echo "failed"; fi
44 else
45 if test "$VERBOSE" != "no"; then echo "done"; fi
46 fi
47 if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
48 cd /
49 mkdir -p dev/input
50 mkdir -p dev/msys
51 mkdir -p dev/pts
52 mkdir -p dev/vc
53 for i in 0 1 2 3 4 5 6 7 8 9; do
54 ln -s /dev/tty$i /dev/vc/$i
55 done
56 ln -sf /proc/self/fd /dev/fd
57 ln -sf /proc/kcore /dev/core
58 /sbin/makedevs -r / -D /etc/device_table
59 if test $? -ne 0; then
60 if test "$VERBOSE" != "no"; then echo "failed"; fi
61 else
62 if test "$VERBOSE" != "no"; then echo "done"; fi
63 fi
64fi
65
66exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/devpts b/meta/packages/initscripts/initscripts-1.0/devpts
new file mode 100644
index 0000000000..4a0978b404
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/devpts
@@ -0,0 +1,5 @@
1# GID of the `tty' group
2TTYGRP=5
3
4# Set to 600 to have `mesg n' be the default
5TTYMODE=620
diff --git a/meta/packages/initscripts/initscripts-1.0/devpts.sh b/meta/packages/initscripts/initscripts-1.0/devpts.sh
new file mode 100755
index 0000000000..334cf63801
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/devpts.sh
@@ -0,0 +1,28 @@
1#! /bin/sh
2
3. /etc/default/devpts
4
5test "`uname -s`" = "Linux" || exit 0
6
7#
8# First find out if devpts is available. Also check if devfs
9# is already mounted - in that case we don't want to use devpts.
10#
11if test ! -e /dev/.devfsd && ( grep -q devpts /proc/filesystems )
12then
13 #
14 # Create multiplexor device.
15 #
16 test -c /dev/ptmx || mknod -m 666 /dev/ptmx c 5 2
17
18 #
19 # Mount /dev/pts if needed.
20 #
21 if ( ! grep -q devpts /proc/mounts )
22 then
23 mkdir -p /dev/pts
24 mount -t devpts devpts /dev/pts -ogid=${TTYGRP},mode=${TTYMODE}
25 fi
26fi
27
28exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/finish b/meta/packages/initscripts/initscripts-1.0/finish
new file mode 100755
index 0000000000..4f9f75f47c
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/finish
@@ -0,0 +1,6 @@
1#!/bin/sh
2
3if ! test -e /etc/.configured; then
4 > /etc/.configured
5fi
6
diff --git a/meta/packages/initscripts/initscripts-1.0/h3600/devices b/meta/packages/initscripts/initscripts-1.0/h3600/devices
new file mode 100755
index 0000000000..0e59229225
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/h3600/devices
@@ -0,0 +1,37 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6# exit without doing anything if udev is active
7if test -e /dev/.udevdb; then
8 exit 0
9fi
10
11 test -n "$VERBOSE" && echo -n "Setting up device links for devfs: "
12 (
13 ln -s /dev/vc/0 /dev/tty0
14 ln -s /dev/vc/1 /dev/tty1
15 ln -s /dev/vc/2 /dev/tty2
16 ln -s /dev/vc/3 /dev/tty3
17 ln -s /dev/vc/4 /dev/tty4
18 ln -s /dev/vc/5 /dev/tty5
19 ln -s /dev/fb/0 /dev/fb0
20 # ln -s /dev/tts/0 /dev/ttySA0
21 # ln -s /dev/tts/1 /dev/ttySA1
22 # ln -s /dev/tts/2 /dev/ttySA2
23
24 ln -s /dev/sound/dsp /dev/dsp
25 ln -s /dev/sound/mixer /dev/mixer
26
27 ln -s /dev/v4l/video0 /dev/video0
28 ln -s /dev/v4l/video0 /dev/video
29 ln -s /dev/misc/rtc /dev/rtc
30 ln -s /dev/misc/apm_bios /dev/apm_bios
31
32 ## need this so that ppp will autoload the ppp modules
33 mknod /dev/ppp c 108 0
34 ) > /dev/null 2>&1
35
36
37 test -n "$VERBOSE" && echo "done"
diff --git a/meta/packages/initscripts/initscripts-1.0/h3900/devices b/meta/packages/initscripts/initscripts-1.0/h3900/devices
new file mode 100755
index 0000000000..0e59229225
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/h3900/devices
@@ -0,0 +1,37 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6# exit without doing anything if udev is active
7if test -e /dev/.udevdb; then
8 exit 0
9fi
10
11 test -n "$VERBOSE" && echo -n "Setting up device links for devfs: "
12 (
13 ln -s /dev/vc/0 /dev/tty0
14 ln -s /dev/vc/1 /dev/tty1
15 ln -s /dev/vc/2 /dev/tty2
16 ln -s /dev/vc/3 /dev/tty3
17 ln -s /dev/vc/4 /dev/tty4
18 ln -s /dev/vc/5 /dev/tty5
19 ln -s /dev/fb/0 /dev/fb0
20 # ln -s /dev/tts/0 /dev/ttySA0
21 # ln -s /dev/tts/1 /dev/ttySA1
22 # ln -s /dev/tts/2 /dev/ttySA2
23
24 ln -s /dev/sound/dsp /dev/dsp
25 ln -s /dev/sound/mixer /dev/mixer
26
27 ln -s /dev/v4l/video0 /dev/video0
28 ln -s /dev/v4l/video0 /dev/video
29 ln -s /dev/misc/rtc /dev/rtc
30 ln -s /dev/misc/apm_bios /dev/apm_bios
31
32 ## need this so that ppp will autoload the ppp modules
33 mknod /dev/ppp c 108 0
34 ) > /dev/null 2>&1
35
36
37 test -n "$VERBOSE" && echo "done"
diff --git a/meta/packages/initscripts/initscripts-1.0/halt b/meta/packages/initscripts/initscripts-1.0/halt
new file mode 100755
index 0000000000..aa1769606a
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/halt
@@ -0,0 +1,31 @@
1#! /bin/sh
2#
3# halt Execute the halt command.
4#
5# Version: @(#)halt 2.84-2 07-Jan-2002 miquels@cistron.nl
6#
7
8PATH=/sbin:/bin:/usr/sbin:/usr/bin
9
10# Update the timestamp, if there is already one
11if test -e /etc/timestamp
12then
13 date +%2m%2d%2H%2M%Y > /etc/timestamp
14fi
15
16# See if we need to cut the power.
17if test -x /etc/init.d/ups-monitor
18then
19 /etc/init.d/ups-monitor poweroff
20fi
21
22# Don't shut down drives if we're using RAID.
23hddown="-h"
24if grep -qs '^md.*active' /proc/mdstat
25then
26 hddown=""
27fi
28
29halt -d -f -i -p $hddown
30
31: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/hostname.sh b/meta/packages/initscripts/initscripts-1.0/hostname.sh
new file mode 100755
index 0000000000..0f3d374286
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/hostname.sh
@@ -0,0 +1,11 @@
1#
2# hostname.sh Set hostname.
3#
4# Version: @(#)hostname.sh 1.10 26-Feb-2001 miquels@cistron.nl
5#
6
7if test -f /etc/hostname
8then
9 hostname -F /etc/hostname
10fi
11
diff --git a/meta/packages/initscripts/initscripts-1.0/jornada56x/devices b/meta/packages/initscripts/initscripts-1.0/jornada56x/devices
new file mode 100755
index 0000000000..0e59229225
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/jornada56x/devices
@@ -0,0 +1,37 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6# exit without doing anything if udev is active
7if test -e /dev/.udevdb; then
8 exit 0
9fi
10
11 test -n "$VERBOSE" && echo -n "Setting up device links for devfs: "
12 (
13 ln -s /dev/vc/0 /dev/tty0
14 ln -s /dev/vc/1 /dev/tty1
15 ln -s /dev/vc/2 /dev/tty2
16 ln -s /dev/vc/3 /dev/tty3
17 ln -s /dev/vc/4 /dev/tty4
18 ln -s /dev/vc/5 /dev/tty5
19 ln -s /dev/fb/0 /dev/fb0
20 # ln -s /dev/tts/0 /dev/ttySA0
21 # ln -s /dev/tts/1 /dev/ttySA1
22 # ln -s /dev/tts/2 /dev/ttySA2
23
24 ln -s /dev/sound/dsp /dev/dsp
25 ln -s /dev/sound/mixer /dev/mixer
26
27 ln -s /dev/v4l/video0 /dev/video0
28 ln -s /dev/v4l/video0 /dev/video
29 ln -s /dev/misc/rtc /dev/rtc
30 ln -s /dev/misc/apm_bios /dev/apm_bios
31
32 ## need this so that ppp will autoload the ppp modules
33 mknod /dev/ppp c 108 0
34 ) > /dev/null 2>&1
35
36
37 test -n "$VERBOSE" && echo "done"
diff --git a/meta/packages/initscripts/initscripts-1.0/jornada6xx/devices b/meta/packages/initscripts/initscripts-1.0/jornada6xx/devices
new file mode 100644
index 0000000000..fc96ff62ee
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/jornada6xx/devices
@@ -0,0 +1,70 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6. /etc/default/rcS
7
8# exit without doing anything if udev is active
9if test -e /dev/.udevdb; then
10 exit 0
11fi
12
13if test -e /dev/.devfsd
14then
15 if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
16 ln -s /dev/touchscreen/0 /dev/ts
17 ln -s /dev/touchscreen/0raw /dev/tsraw
18 ln -s /dev/vc/0 /dev/tty0
19 ln -s /dev/vc/1 /dev/tty1
20 ln -s /dev/vc/2 /dev/tty2
21 ln -s /dev/vc/3 /dev/tty3
22 ln -s /dev/vc/4 /dev/tty4
23 ln -s /dev/vc/5 /dev/tty5
24 ln -s /dev/fb/0 /dev/fb0
25# ln -s /dev/tts/0 /dev/ttySA0
26# ln -s /dev/tts/1 /dev/ttySA1
27# ln -s /dev/tts/2 /dev/ttySA2
28
29 ln -s /dev/sound/dsp /dev/dsp
30 ln -s /dev/sound/mixer /dev/mixer
31
32 ln -s /dev/v4l/video0 /dev/video0
33 ln -s /dev/v4l/video0 /dev/video
34 ln -s /dev/misc/rtc /dev/rtc
35
36 ## need this so that ppp will autoload the ppp modules
37 mknod /dev/ppp c 108 0
38
39 if test "$VERBOSE" != "no"; then echo "done"; fi
40else
41 if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
42 mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
43 if test $? -ne 0; then
44 if test "$VERBOSE" != "no"; then echo "failed"; fi
45 else
46 if test "$VERBOSE" != "no"; then echo "done"; fi
47 fi
48 if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
49 cd /
50 mkdir -p dev/input
51 mknod /dev/input/ts0 c 13 128
52 mknod /dev/ttySC1 c 9 204
53 mknod /dev/irda0 c 10 204
54 mkdir -p dev/msys
55 mkdir -p dev/pts
56 mkdir -p dev/vc
57 for i in 0 1 2 3 4 5 6 7 8 9; do
58 ln -s /dev/tty$i /dev/vc/$i
59 done
60 ln -sf /proc/self/fd /dev/fd
61 ln -sf /proc/kcore /dev/core
62 /sbin/makedevs -r / -D /etc/device_table
63 if test $? -ne 0; then
64 if test "$VERBOSE" != "no"; then echo "failed"; fi
65 else
66 if test "$VERBOSE" != "no"; then echo "done"; fi
67 fi
68fi
69
70exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/jornada7xx/devices b/meta/packages/initscripts/initscripts-1.0/jornada7xx/devices
new file mode 100755
index 0000000000..0e59229225
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/jornada7xx/devices
@@ -0,0 +1,37 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6# exit without doing anything if udev is active
7if test -e /dev/.udevdb; then
8 exit 0
9fi
10
11 test -n "$VERBOSE" && echo -n "Setting up device links for devfs: "
12 (
13 ln -s /dev/vc/0 /dev/tty0
14 ln -s /dev/vc/1 /dev/tty1
15 ln -s /dev/vc/2 /dev/tty2
16 ln -s /dev/vc/3 /dev/tty3
17 ln -s /dev/vc/4 /dev/tty4
18 ln -s /dev/vc/5 /dev/tty5
19 ln -s /dev/fb/0 /dev/fb0
20 # ln -s /dev/tts/0 /dev/ttySA0
21 # ln -s /dev/tts/1 /dev/ttySA1
22 # ln -s /dev/tts/2 /dev/ttySA2
23
24 ln -s /dev/sound/dsp /dev/dsp
25 ln -s /dev/sound/mixer /dev/mixer
26
27 ln -s /dev/v4l/video0 /dev/video0
28 ln -s /dev/v4l/video0 /dev/video
29 ln -s /dev/misc/rtc /dev/rtc
30 ln -s /dev/misc/apm_bios /dev/apm_bios
31
32 ## need this so that ppp will autoload the ppp modules
33 mknod /dev/ppp c 108 0
34 ) > /dev/null 2>&1
35
36
37 test -n "$VERBOSE" && echo "done"
diff --git a/meta/packages/initscripts/initscripts-1.0/mountall.sh b/meta/packages/initscripts/initscripts-1.0/mountall.sh
new file mode 100755
index 0000000000..b5cb85a1e9
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/mountall.sh
@@ -0,0 +1,45 @@
1#
2# mountall.sh Mount all filesystems.
3#
4# Version: @(#)mountall.sh 2.83-2 01-Nov-2001 miquels@cistron.nl
5#
6. /etc/default/rcS
7
8#
9# Mount local filesystems in /etc/fstab. For some reason, people
10# might want to mount "proc" several times, and mount -v complains
11# about this. So we mount "proc" filesystems without -v.
12#
13test "$VERBOSE" != no && echo "Mounting local filesystems..."
14mount -at nonfs,nosmbfs,noncpfs 2>/dev/null
15
16#
17# We might have mounted something over /dev, see if /dev/initctl is there.
18#
19if test ! -p /dev/initctl
20then
21 rm -f /dev/initctl
22 mknod -m 600 /dev/initctl p
23fi
24kill -USR1 1
25
26#
27# Execute swapon command again, in case we want to swap to
28# a file on a now mounted filesystem.
29#
30doswap=yes
31case "`uname -r`" in
32 2.[0123].*)
33 if grep -qs resync /proc/mdstat
34 then
35 doswap=no
36 fi
37 ;;
38esac
39if test $doswap = yes
40then
41 swapon -a 2> /dev/null
42fi
43
44: exit 0
45
diff --git a/meta/packages/initscripts/initscripts-1.0/mountnfs.sh b/meta/packages/initscripts/initscripts-1.0/mountnfs.sh
new file mode 100755
index 0000000000..84cb3651fc
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/mountnfs.sh
@@ -0,0 +1,87 @@
1#
2# mountnfs.sh Now that TCP/IP is configured, mount the NFS file
3# systems in /etc/fstab if needed. If possible,
4# start the portmapper before mounting (this is needed for
5# Linux 2.1.x and up).
6#
7# Also mounts SBM filesystems now, so the name of
8# this script is getting increasingly inaccurate.
9#
10# Version: @(#)mountnfs.sh 2.83 05-Oct-2001 miquels@cistron.nl
11#
12
13. /etc/default/rcS
14
15#
16# Run in a subshell because of I/O redirection.
17#
18test -f /etc/fstab && (
19
20#
21# Read through fstab line by line. If it is NFS, set the flag
22# for mounting NFS filesystems. If any NFS partition is found and it
23# not mounted with the nolock option, we start the portmapper.
24#
25portmap=no
26mount_nfs=no
27mount_smb=no
28mount_ncp=no
29while read device mountpt fstype options
30do
31 case "$device" in
32 ""|\#*)
33 continue
34 ;;
35 esac
36
37 case "$options" in
38 *noauto*)
39 continue
40 ;;
41 esac
42
43 if test "$fstype" = nfs
44 then
45 mount_nfs=yes
46 case "$options" in
47 *nolock*)
48 ;;
49 *)
50 portmap=yes
51 ;;
52 esac
53 fi
54 if test "$fstype" = smbfs
55 then
56 mount_smb=yes
57 fi
58 if test "$fstype" = ncpfs
59 then
60 mount_ncp=yes
61 fi
62done
63
64exec 0>&1
65
66if test "$portmap" = yes
67then
68 if test -x /sbin/portmap
69 then
70 echo -n "Starting portmapper... "
71 start-stop-daemon --start --quiet --exec /sbin/portmap
72 sleep 2
73 fi
74fi
75
76if test "$mount_nfs" = yes || test "$mount_smb" = yes || test "$mount_ncp" = yes
77then
78 echo "Mounting remote filesystems..."
79 test "$mount_nfs" = yes && mount -a -t nfs
80 test "$mount_smb" = yes && mount -a -t smbfs
81 test "$mount_ncp" = yes && mount -a -t ncpfs
82fi
83
84) < /etc/fstab
85
86: exit 0
87
diff --git a/meta/packages/initscripts/initscripts-1.0/openmn/extractfs b/meta/packages/initscripts/initscripts-1.0/openmn/extractfs
new file mode 100755
index 0000000000..7e57dedd2d
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/openmn/extractfs
@@ -0,0 +1,7 @@
1#!/bin/sh
2
3if (grep -q 'tmpfs.*/var.*tmpfs' /proc/mounts)
4then
5 test "$VERBOSE" != no && echo "Copying /var filesystem..."
6 cp -a /boot/var /
7fi
diff --git a/meta/packages/initscripts/initscripts-1.0/openmn/packages b/meta/packages/initscripts/initscripts-1.0/openmn/packages
new file mode 100755
index 0000000000..2566487d2d
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/openmn/packages
@@ -0,0 +1,63 @@
1#!/bin/sh
2# Original author: ???
3#
4# Additions by Steph Meslin-Weber:
5# x Percentage display
6# x Dot display of dependency installations
7# - removed both of above
8# - display is now X of Y packages and current package name being installed
9
10#. /etc/default/rcS
11
12reconfigure () {
13 pkg=$1
14 path=$2
15 isdependent=$3
16 test -e "$path/info/$pkg.control" || return 1
17 depends="`cat $path/info/$pkg.control|grep Depends|cut -d: -f2`"
18
19 # make sure we haven't already installed this package
20 isthere=`cat /tmp/.configured.list|grep $pkg`
21 if test "$isthere" != ""; then
22 return 1
23 fi
24
25 if test "$depends" != ""; then
26 for dep in $depends; do
27 (echo $log|grep $dep >/dev/null 2>&1) || ( reconfigure $dep $path "$max" "$pkg" && log="$log $dep"; )
28 done
29 fi
30
31 echo -ne " ${pkg}"
32
33 test -e "$path/info/$pkg.prerm" && $path/info/$pkg.prerm unconfigure >/dev/null 2>&1
34 test -e "$path/info/$pkg.postinst" && $path/info/$pkg.postinst configure >/dev/null 2>&1
35
36 log="$log $pkg"
37
38 # append the installed package name to the list
39 echo -ne "$pkg\n" >> /tmp/.configured.list
40
41 echo
42 return 0
43}
44
45if test ! -e /etc/.configured; then
46 echo "Reconfiguring all packages installed to root:"
47
48 # create unique packages list file
49 rm -f /tmp/.configured.list
50 touch /tmp/.configured.list
51
52 log=""
53
54 for control in /usr/lib/ipkg/info/*.control; do
55 package=`echo $control|sed -e 's,.*/,,g; s,\.control,,g;'`
56 (echo $log|grep $package >/dev/null 2>&1) || reconfigure $package /usr/lib/ipkg
57 done
58
59 # cleanup unique packages list file
60 rm -f /tmp/.configured.list
61fi
62
63test -f /usr/lib/ipkg/info/task-ramses || ipkg install task-ramses
diff --git a/meta/packages/initscripts/initscripts-1.0/openmn/umountfs b/meta/packages/initscripts/initscripts-1.0/openmn/umountfs
new file mode 100755
index 0000000000..399194109b
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/openmn/umountfs
@@ -0,0 +1,17 @@
1#! /bin/sh
2#
3# umountfs Turn off swap and unmount all local filesystems.
4#
5
6PATH=/sbin:/bin:/usr/sbin:/usr/bin
7
8echo "Deactivating swap..."
9swapoff -a
10
11# We leave /proc mounted.
12echo "Unmounting local filesystems..."
13umount -f -a -r
14
15mount -o remount,ro /
16
17: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/openzaurus/checkversion b/meta/packages/initscripts/initscripts-1.0/openzaurus/checkversion
new file mode 100755
index 0000000000..0c8be4fc2d
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/openzaurus/checkversion
@@ -0,0 +1,31 @@
1#!/bin/sh
2
3found=`cat /proc/version | cut -d ' ' -f3`
4echo "$found" | grep -q "snapshot" && exit 0
5
6if [ "VERSION" != "$found" ] ; then
7 echo -e >/dev/tty1
8 echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
9 echo -e "\033[31;1m * \033[0mW A R N I N G ! \033[31;1m* \033[0m" >/dev/tty1
10 echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
11 echo >/dev/tty1
12 echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
13 echo -e "\033[31;1m * \033[0mYou are running the wrong kernel! \033[31;1m* \033[0m" >/dev/tty1
14 echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
15 echo >/dev/tty1
16 echo -e "You are running '" $found "'" >/dev/tty1
17 echo -e "I expect kernel '" VERSION "'" >/dev/tty1
18 echo >/dev/tty1
19 echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
20 echo -e "\033[31;1m * \033[0mRunning this combination is unsupported \033[31;1m* \033[0m" >/dev/tty1
21 echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
22 echo >/dev/tty1
23 echo "I will sleep for 1 minute now. Use this chance to " >/dev/tty1
24 echo "reboot the device and flash the proper kernel now! " >/dev/tty1
25 echo -e >/dev/tty1
26 echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
27 echo -e "\033[31;1m * \033[0mW A R N I N G ! \033[31;1m* \033[0m" >/dev/tty1
28 echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
29 echo >/dev/tty1
30 sleep 60
31fi
diff --git a/meta/packages/initscripts/initscripts-1.0/poodle/devices b/meta/packages/initscripts/initscripts-1.0/poodle/devices
new file mode 100755
index 0000000000..9d1624428a
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/poodle/devices
@@ -0,0 +1,67 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6. /etc/default/rcS
7
8# exit without doing anything if udev is active
9if test -e /dev/.udevdb; then
10 exit 0
11fi
12
13if test -e /dev/.devfsd
14then
15 if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
16 ln -s /dev/touchscreen/0 /dev/ts
17 ln -s /dev/touchscreen/0raw /dev/tsraw
18 ln -s /dev/vc/0 /dev/tty0
19 ln -s /dev/vc/1 /dev/tty1
20 ln -s /dev/vc/2 /dev/tty2
21 ln -s /dev/vc/3 /dev/tty3
22 ln -s /dev/vc/4 /dev/tty4
23 ln -s /dev/vc/5 /dev/tty5
24 ln -s /dev/fb/0 /dev/fb0
25# ln -s /dev/tts/0 /dev/ttySA0
26# ln -s /dev/tts/1 /dev/ttySA1
27# ln -s /dev/tts/2 /dev/ttySA2
28
29 ln -s /dev/sound/dsp /dev/dsp
30 ln -s /dev/sound/mixer /dev/mixer
31
32 ln -s /dev/v4l/video0 /dev/video0
33 ln -s /dev/v4l/video0 /dev/video
34 ln -s /dev/misc/rtc /dev/rtc
35
36 ## need this so that ppp will autoload the ppp modules
37 mknod /dev/ppp c 108 0
38 if test "$VERBOSE" != "no"; then echo "done"; fi
39else
40 if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
41 mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
42 if test $? -ne 0; then
43 if test "$VERBOSE" != "no"; then echo "failed"; fi
44 else
45 if test "$VERBOSE" != "no"; then echo "done"; fi
46 fi
47 if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
48 cd /
49 mkdir -p dev/msys
50 mkdir -p dev/pts
51 mkdir -p dev/vc
52 for i in 0 1 2 3 4 5 6 7 8 9; do
53 ln -s /dev/tty$i /dev/vc/$i
54 done
55 ln -sf /dev/sharp_ts /dev/ts
56 ln -sf /dev/sharp_fl /dev/fl
57 ln -sf /proc/self/fd /dev/fd
58 ln -sf /proc/kcore /dev/core
59 /sbin/makedevs -r / -D /etc/device_table
60 if test $? -ne 0; then
61 if test "$VERBOSE" != "no"; then echo "failed"; fi
62 else
63 if test "$VERBOSE" != "no"; then echo "done"; fi
64 fi
65fi
66
67exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/populate-volatile.sh b/meta/packages/initscripts/initscripts-1.0/populate-volatile.sh
new file mode 100755
index 0000000000..99a469d576
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/populate-volatile.sh
@@ -0,0 +1,138 @@
1#!/bin/sh
2
3. /etc/default/rcS
4
5CFGDIR="/etc/default/volatiles"
6TMPROOT="/var/tmp"
7COREDEF="00_core"
8
9[ "${VERBOSE}" != "no" ] && echo "Populating volatile Filesystems."
10
11
12check_requirements() {
13
14 cleanup() {
15 rm "${TMP_INTERMED}"
16 rm "${TMP_DEFINED}"
17 rm "${TMP_COMBINED}"
18 }
19
20 CFGFILE="$1"
21
22 [ `basename "${CFGFILE}"` = "${COREDEF}" ] && return 0
23
24 TMP_INTERMED="${TMPROOT}/tmp.$$"
25 TMP_DEFINED="${TMPROOT}/tmpdefined.$$"
26 TMP_COMBINED="${TMPROOT}/tmpcombined.$$"
27
28
29 cat /etc/passwd | sed 's@\(^:\)*:.*@\1@' | sort | uniq > "${TMP_DEFINED}"
30 cat ${CFGFILE} | grep -v "^#" | cut -d " " -f 2 > "${TMP_INTERMED}"
31 cat "${TMP_DEFINED}" "${TMP_INTERMED}" | sort | uniq > "${TMP_COMBINED}"
32
33 NR_DEFINED_USERS="`cat "${TMP_DEFINED}" | wc -l`"
34 NR_COMBINED_USERS="`cat "${TMP_COMBINED}" | wc -l`"
35
36 [ "${NR_DEFINED_USERS}" -ne "${NR_COMBINED_USERS}" ] && {
37 echo "Undefined users:"
38 diff "${TMP_DEFINED}" "${TMP_COMBINED}" | grep "^>"
39 cleanup
40 return 1
41 }
42
43
44 cat /etc/group | sed 's@\(^:\)*:.*@\1@' | sort | uniq > "${TMP_DEFINED}"
45 cat ${CFGFILE} | grep -v "^#" | cut -d " " -f 3 > "${TMP_INTERMED}"
46 cat "${TMP_DEFINED}" "${TMP_INTERMED}" | sort | uniq > "${TMP_COMBINED}"
47
48 NR_DEFINED_GROUPS="`cat "${TMP_DEFINED}" | wc -l`"
49 NR_COMBINED_GROUPS="`cat "${TMP_COMBINED}" | wc -l`"
50
51 [ "${NR_DEFINED_GROUPS}" -ne "${NR_COMBINED_GROUPS}" ] && {
52 echo "Undefined groups:"
53 diff "${TMP_DEFINED}" "${TMP_COMBINED}" | grep "^>"
54 cleanup
55 return 1
56 }
57
58 # Add checks for required directories here
59
60 cleanup
61 return 0
62 }
63
64apply_cfgfile() {
65
66 CFGFILE="$1"
67
68 check_requirements "${CFGFILE}" || {
69 echo "Skipping ${CFGFILE}"
70 return 1
71 }
72
73 cat ${CFGFILE} | grep -v "^#" | \
74 while read LINE; do
75 TTYPE=`echo ${LINE} | cut -d " " -f 1`
76 TUSER=`echo ${LINE} | cut -d " " -f 2`
77 TGROUP=`echo ${LINE} | cut -d " " -f 3`
78 TMODE=`echo ${LINE} | cut -d " " -f 4`
79 TNAME=`echo ${LINE} | cut -d " " -f 5`
80
81 [ "${VERBOSE}" != "no" ] && echo "Checking for -${TNAME}-."
82
83 [ "${TTYPE}" = "l" ] && {
84 [ -e "${TNAME}" ] && {
85 echo "Cannot create link over existing -${TNAME}-." >&2
86 } || {
87 TSOURCE=`echo ${LINE} | cut -d " " -f 6`
88 [ "${VERBOSE}" != "no" ] && echo "Creating link -${TNAME}- pointing to -${TSOURCE}-."
89 ln -s "${TSOURCE}" "${TNAME}"
90 }
91 continue
92 }
93
94 [ -L "${TNAME}" ] && {
95 [ "${VERBOSE}" != "no" ] && echo "Found link."
96 NEWNAME=`ls -l "${TNAME}" | sed -e 's/^.*-> \(.*\)$/\1/'`
97 echo ${NEWNAME} | grep -v "^/" >/dev/null && {
98 TNAME="`echo ${TNAME} | sed -e 's@\(.*\)/.*@\1@'`/${NEWNAME}"
99 [ "${VERBOSE}" != "no" ] && echo "Converted relative linktarget to absolute path -${TNAME}-."
100 } || {
101 TNAME="${NEWNAME}"
102 [ "${VERBOSE}" != "no" ] && echo "Using absolute link target -${TNAME}-."
103 }
104 }
105
106 [ -e "${TNAME}" ] && {
107 [ "${VERBOSE}" != "no" ] && echo "Target already exists. Skipping."
108 continue
109 }
110
111 case "${TTYPE}" in
112 "f") [ "${VERBOSE}" != "no" ] && echo "Creating file -${TNAME}-."
113 touch "${TNAME}"
114 ;;
115 "d") [ "${VERBOSE}" != "no" ] && echo "Creating directory -${TNAME}-."
116 mkdir -p "${TNAME}"
117 # Add check to see if there's an entry in fstab to mount.
118 ;;
119 *) [ "${VERBOSE}" != "no" ] && echo "Invalid type -${TTYPE}-."
120 continue
121 ;;
122 esac
123
124 chown ${TUSER} ${TNAME} || echo "Failed to set owner -${TUSER}- for -${TNAME}-." >&2
125 chgrp ${TGROUP} ${TNAME} || echo "Failed to set group -${TGROUP}- for -${TNAME}-." >&2
126 chmod ${TMODE} ${TNAME} || echo "Failed to set mode -${TMODE}- for -${TNAME}-." >&2
127
128 done
129
130 return 0
131
132 }
133
134
135for file in `ls -1 "${CFGDIR}" | sort`; do
136 apply_cfgfile "${CFGDIR}/${file}"
137 done
138
diff --git a/meta/packages/initscripts/initscripts-1.0/ramdisk b/meta/packages/initscripts/initscripts-1.0/ramdisk
new file mode 100755
index 0000000000..03ac9bd05b
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/ramdisk
@@ -0,0 +1,46 @@
1#!/bin/sh
2
3. /etc/default/rcS
4
5FSTYPE=ext2
6
7if test ! -e /proc/mtd
8then
9 test "$VERBOSE" != "no" && echo >&2 "/proc not mounted, or mtd support not enabled in kernel."
10 exit
11fi
12
13RAM_MTD_NO=`cat /proc/mtd | grep mtdram | tail -n 1 | cut -d: -f1 | cut -dd -f2`
14if test -z "$RAM_MTD_NO"; then exit 0; fi
15
16if test -e /dev/mtdblock/0
17then
18 RAM_MTD=/dev/mtd/$RAM_MTD_NO
19 RAM_MTDBLK=/dev/mtdblock/$RAM_MTD_NO
20else
21 RAM_MTD=/dev/mtd$RAM_MTD_NO
22 RAM_MTDBLK=/dev/mtdblock$RAM_MTD_NO
23fi
24
25RAM_MNTPT=/mnt/ram
26RAM_MTD_SIZE_HEX=`cat /proc/mtd | grep mtdram | tail -n 1 | cut -d" " -f 2`
27RAM_MTD_SIZE=`dc 0x$RAM_MTD_SIZE_HEX 1024 / p`
28test -e /etc/ramdisk.conf && OLD_MTD_SIZE=`cat /etc/ramdisk.conf`
29echo $RAM_MTD_SIZE > /etc/ramdisk.conf
30
31if test ! -d "$RAM_MNTPT"; then echo >&2 "Mountpoint $RAM_MNTPT does not exist!"; exit 0; fi
32
33if (test ! -e /etc/.configured) || test "$OLD_MTD_SIZE" != "$RAM_MTD_SIZE"; then
34 test "$VERBOSE" != "no" && echo -n "Wiping ramdisk: "
35 dd if=/dev/zero bs=1024 count=$RAM_MTD_SIZE of=$RAM_MTD 2>/dev/null >&2 || exit 1
36 test "$VERBOSE" != "no" && echo "$RAM_MTD";
37 test "$VERBOSE" != "no" && echo -n "Creating filesystem on ramdisk: "
38 mkfs.$FSTYPE $RAM_MTDBLK 2>/dev/null >&2 || exit 1
39 test "$VERBOSE" != "no" && echo "$RAM_MTDBLK";
40fi
41
42test "$VERBOSE" != "no" && echo -n "Mounting ramdisk: "
43mount -t $FSTYPE $RAM_MTDBLK $RAM_MNTPT 2>/dev/null >&2 || exit 1
44test "$VERBOSE" != "no" && echo "$RAM_MTDBLK";
45
46exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/reboot b/meta/packages/initscripts/initscripts-1.0/reboot
new file mode 100755
index 0000000000..7f95255bd9
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/reboot
@@ -0,0 +1,17 @@
1#! /bin/sh
2#
3# reboot Execute the reboot command.
4#
5# Version: @(#)reboot 2.75 22-Jun-1998 miquels@cistron.nl
6#
7
8PATH=/sbin:/bin:/usr/sbin:/usr/bin
9
10# Update the timestamp, if there is one
11if test -e /etc/timestamp
12then
13 date +%2m%2d%2H%2M%Y > /etc/timestamp
14fi
15
16echo -n "Rebooting... "
17reboot -d -f -i
diff --git a/meta/packages/initscripts/initscripts-1.0/rmnologin b/meta/packages/initscripts/initscripts-1.0/rmnologin
new file mode 100755
index 0000000000..444145a26a
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/rmnologin
@@ -0,0 +1,14 @@
1#! /bin/sh
2#
3# rmnologin This script removes the /etc/nologin file as the last
4# step in the boot process.
5#
6# Version: @(#)rmnologin 1.00 22-Jun-1998 miquels@cistron.nl
7#
8
9if test -f /etc/nologin.boot
10then
11 rm -f /etc/nologin /etc/nologin.boot
12fi
13
14: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/sendsigs b/meta/packages/initscripts/initscripts-1.0/sendsigs
new file mode 100755
index 0000000000..c62a5cd37d
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/sendsigs
@@ -0,0 +1,17 @@
1#! /bin/sh
2#
3# sendsigs Kill all remaining processes.
4#
5# Version: @(#)sendsigs 2.75 22-Jun-1998 miquels@cistron.nl
6#
7
8PATH=/sbin:/bin:/usr/sbin:/usr/bin
9
10# Kill all processes.
11echo "Sending all processes the TERM signal..."
12killall5 -15
13sleep 5
14echo "Sending all processes the KILL signal..."
15killall5 -9
16
17: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/simpad/devices b/meta/packages/initscripts/initscripts-1.0/simpad/devices
new file mode 100644
index 0000000000..0e59229225
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/simpad/devices
@@ -0,0 +1,37 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6# exit without doing anything if udev is active
7if test -e /dev/.udevdb; then
8 exit 0
9fi
10
11 test -n "$VERBOSE" && echo -n "Setting up device links for devfs: "
12 (
13 ln -s /dev/vc/0 /dev/tty0
14 ln -s /dev/vc/1 /dev/tty1
15 ln -s /dev/vc/2 /dev/tty2
16 ln -s /dev/vc/3 /dev/tty3
17 ln -s /dev/vc/4 /dev/tty4
18 ln -s /dev/vc/5 /dev/tty5
19 ln -s /dev/fb/0 /dev/fb0
20 # ln -s /dev/tts/0 /dev/ttySA0
21 # ln -s /dev/tts/1 /dev/ttySA1
22 # ln -s /dev/tts/2 /dev/ttySA2
23
24 ln -s /dev/sound/dsp /dev/dsp
25 ln -s /dev/sound/mixer /dev/mixer
26
27 ln -s /dev/v4l/video0 /dev/video0
28 ln -s /dev/v4l/video0 /dev/video
29 ln -s /dev/misc/rtc /dev/rtc
30 ln -s /dev/misc/apm_bios /dev/apm_bios
31
32 ## need this so that ppp will autoload the ppp modules
33 mknod /dev/ppp c 108 0
34 ) > /dev/null 2>&1
35
36
37 test -n "$VERBOSE" && echo "done"
diff --git a/meta/packages/initscripts/initscripts-1.0/single b/meta/packages/initscripts/initscripts-1.0/single
new file mode 100755
index 0000000000..2d177ebb62
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/single
@@ -0,0 +1,21 @@
1#! /bin/sh
2#
3# single executed by init(8) upon entering runlevel 1 (single).
4#
5# Version: @(#)single 1.20 26-Geb-2001 miquels@cistron.nl
6#
7
8PATH="/sbin:/bin:/usr/sbin:/usr/bin"
9
10# Kill all processes.
11echo "Sending all processes the TERM signal..."
12killall5 -15
13sleep 5
14echo "Sending all processes the KILL signal..."
15killall5 -9
16
17# We start update here, since we just killed it.
18test -x /sbin/update && update
19
20echo "Entering single-user mode..."
21exec init -t1 S
diff --git a/meta/packages/initscripts/initscripts-1.0/spitz/devices b/meta/packages/initscripts/initscripts-1.0/spitz/devices
new file mode 100755
index 0000000000..083090ecb9
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/spitz/devices
@@ -0,0 +1,68 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6. /etc/default/rcS
7
8# exit without doing anything if udev is active
9if test -e /dev/.udevdb; then
10 exit 0
11fi
12
13if test -e /dev/.devfsd
14then
15 if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
16 ln -s /dev/touchscreen/0 /dev/ts
17 ln -s /dev/touchscreen/0raw /dev/tsraw
18 ln -s /dev/vc/0 /dev/tty0
19 ln -s /dev/vc/1 /dev/tty1
20 ln -s /dev/vc/2 /dev/tty2
21 ln -s /dev/vc/3 /dev/tty3
22 ln -s /dev/vc/4 /dev/tty4
23 ln -s /dev/vc/5 /dev/tty5
24 ln -s /dev/fb/0 /dev/fb0
25# ln -s /dev/tts/0 /dev/ttySA0
26# ln -s /dev/tts/1 /dev/ttySA1
27# ln -s /dev/tts/2 /dev/ttySA2
28
29 ln -s /dev/sound/dsp /dev/dsp
30 ln -s /dev/sound/mixer /dev/mixer
31
32 ln -s /dev/v4l/video0 /dev/video0
33 ln -s /dev/v4l/video0 /dev/video
34 ln -s /dev/misc/rtc /dev/rtc
35
36 ## need this so that ppp will autoload the ppp modules
37 mknod /dev/ppp c 108 0
38 if test "$VERBOSE" != "no"; then echo "done"; fi
39else
40 if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
41 mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
42 if test $? -ne 0; then
43 if test "$VERBOSE" != "no"; then echo "failed"; fi
44 else
45 if test "$VERBOSE" != "no"; then echo "done"; fi
46 fi
47 if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
48 cd /
49 mkdir -p dev/msys
50 mkdir -p dev/pts
51 mkdir -p dev/input
52 mkdir -p dev/vc
53 for i in 0 1 2 3 4 5 6 7 8 9; do
54 ln -s /dev/tty$i /dev/vc/$i
55 done
56 ln -sf /dev/sharp_ts /dev/ts
57 ln -sf /dev/sharp_fl /dev/fl
58 ln -sf /proc/self/fd /dev/fd
59 ln -sf /proc/kcore /dev/core
60 /sbin/makedevs -r / -D /etc/device_table
61 if test $? -ne 0; then
62 if test "$VERBOSE" != "no"; then echo "failed"; fi
63 else
64 if test "$VERBOSE" != "no"; then echo "done"; fi
65 fi
66fi
67
68exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/sysfs.sh b/meta/packages/initscripts/initscripts-1.0/sysfs.sh
new file mode 100644
index 0000000000..4486128ad5
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/sysfs.sh
@@ -0,0 +1,11 @@
1#!/bin/sh
2
3if [ -e /proc ] && ! [ -e /proc/mounts ]; then
4 mount -t proc proc /proc
5fi
6
7if [ -e /sys ] && grep -q sysfs /proc/filesystems; then
8 mount sysfs /sys -t sysfs
9fi
10
11exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/tosa/devices b/meta/packages/initscripts/initscripts-1.0/tosa/devices
new file mode 100755
index 0000000000..61cfd9d7b9
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/tosa/devices
@@ -0,0 +1,72 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6. /etc/default/rcS
7
8# exit without doing anything if udev is active
9if test -e /dev/.udevdb; then
10 exit 0
11fi
12
13if test -e /dev/.devfsd
14then
15 if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
16 ln -s /dev/touchscreen/0 /dev/ts
17 ln -s /dev/touchscreen/0raw /dev/tsraw
18 ln -s /dev/vc/0 /dev/tty0
19 ln -s /dev/vc/1 /dev/tty1
20 ln -s /dev/vc/2 /dev/tty2
21 ln -s /dev/vc/3 /dev/tty3
22 ln -s /dev/vc/4 /dev/tty4
23 ln -s /dev/vc/5 /dev/tty5
24 ln -s /dev/fb/0 /dev/fb0
25# ln -s /dev/tts/0 /dev/ttySA0
26# ln -s /dev/tts/1 /dev/ttySA1
27# ln -s /dev/tts/2 /dev/ttySA2
28
29 ln -s /dev/sound/dsp /dev/dsp
30 ln -s /dev/sound/mixer /dev/mixer
31
32 ln -s /dev/v4l/video0 /dev/video0
33 ln -s /dev/v4l/video0 /dev/video
34 ln -s /dev/misc/rtc /dev/rtc
35
36 ## need this so that ppp will autoload the ppp modules
37 mknod /dev/ppp c 108 0
38 if test "$VERBOSE" != "no"; then echo "done"; fi
39else
40 if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
41 mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
42 if test $? -ne 0; then
43 if test "$VERBOSE" != "no"; then echo "failed"; fi
44 else
45 if test "$VERBOSE" != "no"; then echo "done"; fi
46 fi
47 if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
48 cd /
49 mkdir -p dev/msys
50 mkdir -p dev/pts
51 mkdir -p dev/input
52 mkdir -p dev/vc
53 for i in 0 1 2 3 4 5 6 7 8 9; do
54 ln -s /dev/tty$i /dev/vc/$i
55 done
56 ln -sf /dev/sharp_ts /dev/ts
57 ln -sf /dev/sharp_fl /dev/fl
58 ln -sf /proc/self/fd /dev/fd
59 ln -sf /proc/kcore /dev/core
60 /sbin/makedevs -r / -D /etc/device_table
61 if test $? -ne 0; then
62 if test "$VERBOSE" != "no"; then echo "failed"; fi
63 else
64 if test "$VERBOSE" != "no"; then echo "done"; fi
65 fi
66fi
67
68#Always turn on usb
69if [ ! -d /dev/usb ]; then mkdir /dev/usb; fi
70mknod /dev/usb/host_ohci c 10 222
71
72exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/uml/devices b/meta/packages/initscripts/initscripts-1.0/uml/devices
new file mode 100755
index 0000000000..d6459c1633
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/uml/devices
@@ -0,0 +1,61 @@
1#!/bin/sh
2#
3# Devfs handling script. Since we arent running devfsd due to various reasons
4# which I will not lay out here, we need to create some links for compatibility.
5
6. /etc/default/rcS
7
8# exit without doing anything if udev is active
9if test -e /dev/.udevdb; then
10 exit 0
11fi
12
13if test -e /dev/.devfsd
14then
15 if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
16 ln -s /dev/touchscreen/0 /dev/ts
17 ln -s /dev/touchscreen/0raw /dev/tsraw
18 ln -s /dev/vc/0 /dev/tty0
19 ln -s /dev/vc/1 /dev/tty1
20 ln -s /dev/vc/2 /dev/tty2
21 ln -s /dev/vc/3 /dev/tty3
22 ln -s /dev/vc/4 /dev/tty4
23 ln -s /dev/vc/5 /dev/tty5
24 ln -s /dev/fb/0 /dev/fb0
25# ln -s /dev/tts/0 /dev/ttySA0
26# ln -s /dev/tts/1 /dev/ttySA1
27# ln -s /dev/tts/2 /dev/ttySA2
28
29 ln -s /dev/sound/dsp /dev/dsp
30 ln -s /dev/sound/mixer /dev/mixer
31
32 ln -s /dev/v4l/video0 /dev/video0
33 ln -s /dev/v4l/video0 /dev/video
34 ln -s /dev/misc/rtc /dev/rtc
35
36 ## need this so that ppp will autoload the ppp modules
37 mknod /dev/ppp c 108 0
38 if test "$VERBOSE" != "no"; then echo "done"; fi
39else
40 if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
41 mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
42 if test $? -ne 0; then
43 if test "$VERBOSE" != "no"; then echo "failed"; fi
44 else
45 if test "$VERBOSE" != "no"; then echo "done"; fi
46 fi
47 if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
48 cd /
49 mkdir -p dev/msys
50 mkdir -p dev/pts
51 ln -sf /proc/self/fd /dev/fd
52 ln -sf /proc/kcore /dev/core
53 /sbin/makedevs -r / -D /etc/device_table
54 if test $? -ne 0; then
55 if test "$VERBOSE" != "no"; then echo "failed"; fi
56 else
57 if test "$VERBOSE" != "no"; then echo "done"; fi
58 fi
59fi
60
61exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/umountfs b/meta/packages/initscripts/initscripts-1.0/umountfs
new file mode 100755
index 0000000000..ec75b0c4a4
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/umountfs
@@ -0,0 +1,18 @@
1#! /bin/sh
2#
3# umountfs Turn off swap and unmount all local filesystems.
4#
5
6PATH=/sbin:/bin:/usr/sbin:/usr/bin
7
8echo "Deactivating swap..."
9swapoff -a
10
11# We leave /proc mounted.
12echo "Unmounting local filesystems..."
13mount -o remount,ro /mnt/ram
14umount -f -a -r
15
16mount -o remount,ro /
17
18: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/umountnfs.sh b/meta/packages/initscripts/initscripts-1.0/umountnfs.sh
new file mode 100755
index 0000000000..f5fe48aa74
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/umountnfs.sh
@@ -0,0 +1,28 @@
1#! /bin/sh
2#
3# umountnfs.sh Unmount all network filesystems.
4#
5
6PATH=/sbin:/bin:/usr/sbin:/usr/bin
7
8# Write a reboot record to /var/log/wtmp before unmounting
9halt -w
10
11echo "Unmounting remote filesystems..."
12
13test -f /etc/fstab && (
14
15#
16# Read through fstab line by line and unount network file systems
17#
18while read device mountpt fstype options
19do
20 if test "$fstype" = nfs || test "$fstype" = smbfs || test "$fstype" = ncpfs
21 then
22 umount -f $mountpt
23 fi
24done
25) < /etc/fstab
26
27: exit 0
28
diff --git a/meta/packages/initscripts/initscripts-1.0/urandom b/meta/packages/initscripts/initscripts-1.0/urandom
new file mode 100755
index 0000000000..45c41d758b
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/urandom
@@ -0,0 +1,41 @@
1#! /bin/sh
2#
3# urandom This script saves the random seed between reboots.
4# It is called from the boot, halt and reboot scripts.
5#
6# Version: @(#)urandom 1.33 22-Jun-1998 miquels@cistron.nl
7#
8
9test -c /dev/urandom || exit 0
10. /etc/default/rcS
11
12case "$1" in
13 start|"")
14 test "$VERBOSE" != no && echo "Initializing random number generator..."
15 # Load and then save 512 bytes,
16 # which is the size of the entropy pool
17 if test -f /var/lib/urandom/random-seed
18 then
19 cat /var/lib/urandom/random-seed >/dev/urandom
20 fi
21 rm -f /var/lib/urandom/random-seed
22 umask 077
23 dd if=/dev/urandom of=/var/lib/urandom/random-seed count=1 \
24 >/dev/null 2>&1 || echo "urandom start: failed."
25 umask 022
26 ;;
27 stop)
28 # Carry a random seed from shut-down to start-up;
29 # see documentation in linux/drivers/char/random.c
30 test "$VERBOSE" != no && echo "Saving random seed..."
31 umask 077
32 dd if=/dev/urandom of=/var/lib/urandom/random-seed count=1 \
33 >/dev/null 2>&1 || echo "urandom stop: failed."
34 ;;
35 *)
36 echo "Usage: urandom {start|stop}" >&2
37 exit 1
38 ;;
39esac
40
41exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/volatiles b/meta/packages/initscripts/initscripts-1.0/volatiles
new file mode 100644
index 0000000000..37ce8b529a
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/volatiles
@@ -0,0 +1,39 @@
1# This configuration file lists filesystem objects that should get verified
2# during startup and be created if missing.
3#
4# Every line must either be a comment starting with #
5# or a definition of format:
6# <type> <owner> <group> <mode> <path> [<linksource>]
7# where the items are separated by whitespace !
8#
9# <type> : d|f|l : (d)irectory|(f)ile|(l)ink
10#
11# A linking example:
12# l root root 0777 /var/test /tmp/testfile
13# f root root 0644 /var/test
14#
15# Understanding links:
16# When populate-volatile is to verify/create a directory or file, it will first
17# check it's existence. If a link is found to exist in the place of the target,
18# the path of the target is replaced with the target the link points to.
19# Thus, if a link is in the place to be verified, the object will be created
20# in the place the link points to instead.
21# This explains the order of "link before object" as in the example above, where
22# a link will be created at /var/test pointing to /tmp/testfile and due to this
23# link the file defined as /var/test will actually be created as /tmp/testfile.
24d root root 0775 /var
25d root root 0755 /var/backups
26d root root 0755 /var/cache
27d root root 0755 /var/lib
28d root root 0755 /var/lib/ipkg
29d root root 0755 /var/lib/misc
30d root root 2775 /var/local
31d root root 1777 /var/lock
32d root root 0755 /var/lock/subsys
33d root root 0755 /var/log
34d root root 0755 /var/run
35d root root 0755 /var/spool
36d root root 1777 /var/tmp
37f root root 0664 /var/run/utmp
38f root root 0664 /var/log/wtmp
39f root root 0664 /var/log/lastlog
diff --git a/meta/packages/initscripts/initscripts_1.0.bb b/meta/packages/initscripts/initscripts_1.0.bb
new file mode 100644
index 0000000000..eebfbca7bf
--- /dev/null
+++ b/meta/packages/initscripts/initscripts_1.0.bb
@@ -0,0 +1,141 @@
1DESCRIPTION = "SysV init scripts"
2MAINTAINER = "Chris Larson <kergoth@handhelds.org>"
3SECTION = "base"
4PRIORITY = "required"
5DEPENDS = "makedevs"
6DEPENDS_openzaurus = "makedevs virtual/kernel"
7RDEPENDS = "makedevs"
8LICENSE = "GPL"
9PR = "r73"
10
11SRC_URI = "file://halt \
12 file://ramdisk \
13 file://umountfs \
14 file://devices \
15 file://devpts.sh \
16 file://devpts \
17 file://hostname.sh \
18 file://mountall.sh \
19 file://banner \
20 file://finish \
21 file://bootmisc.sh \
22 file://mountnfs.sh \
23 file://reboot \
24 file://checkfs.sh \
25 file://single \
26 file://sendsigs \
27 file://urandom \
28 file://rmnologin \
29 file://checkroot.sh \
30 file://umountnfs.sh \
31 file://sysfs.sh \
32 file://device_table.txt \
33 file://populate-volatile.sh \
34 file://volatiles "
35
36SRC_URI_append_arm = " file://alignment.sh"
37SRC_URI_append_openzaurus = " file://checkversion"
38
39def read_kernel_version(d):
40 import bb
41 distro = bb.data.getVar('DISTRO', d, 1)
42 filename = bb.data.getVar('STAGING_KERNEL_DIR', d, 1)
43 if distro == "openzaurus":
44 return file( filename + "/kernel-abiversion", "r" ).read().strip()
45 else:
46 return "not important"
47KERNEL_VERSION = ""
48KERNEL_VERSION_openzaurus = "${@read_kernel_version(d)}"
49PACKAGE_ARCH_openzaurus = "${MACHINE_ARCH}"
50
51do_install () {
52#
53# Create directories and install device independent scripts
54#
55 install -d ${D}${sysconfdir}/init.d \
56 ${D}${sysconfdir}/rcS.d \
57 ${D}${sysconfdir}/rc0.d \
58 ${D}${sysconfdir}/rc1.d \
59 ${D}${sysconfdir}/rc2.d \
60 ${D}${sysconfdir}/rc3.d \
61 ${D}${sysconfdir}/rc4.d \
62 ${D}${sysconfdir}/rc5.d \
63 ${D}${sysconfdir}/rc6.d \
64 ${D}${sysconfdir}/default \
65 ${D}${sysconfdir}/default/volatiles
66
67 install -m 0755 ${WORKDIR}/bootmisc.sh ${D}${sysconfdir}/init.d
68 install -m 0755 ${WORKDIR}/checkroot.sh ${D}${sysconfdir}/init.d
69 install -m 0755 ${WORKDIR}/finish ${D}${sysconfdir}/init.d
70 install -m 0755 ${WORKDIR}/halt ${D}${sysconfdir}/init.d
71 install -m 0755 ${WORKDIR}/hostname.sh ${D}${sysconfdir}/init.d
72 install -m 0755 ${WORKDIR}/mountall.sh ${D}${sysconfdir}/init.d
73 install -m 0755 ${WORKDIR}/mountnfs.sh ${D}${sysconfdir}/init.d
74 install -m 0755 ${WORKDIR}/ramdisk ${D}${sysconfdir}/init.d
75 install -m 0755 ${WORKDIR}/reboot ${D}${sysconfdir}/init.d
76 install -m 0755 ${WORKDIR}/rmnologin ${D}${sysconfdir}/init.d
77 install -m 0755 ${WORKDIR}/sendsigs ${D}${sysconfdir}/init.d
78 install -m 0755 ${WORKDIR}/single ${D}${sysconfdir}/init.d
79 install -m 0755 ${WORKDIR}/umountnfs.sh ${D}${sysconfdir}/init.d
80 install -m 0755 ${WORKDIR}/urandom ${D}${sysconfdir}/init.d
81 install -m 0755 ${WORKDIR}/devpts.sh ${D}${sysconfdir}/init.d
82 install -m 0755 ${WORKDIR}/devpts ${D}${sysconfdir}/default
83 install -m 0755 ${WORKDIR}/sysfs.sh ${D}${sysconfdir}/init.d
84 install -m 0755 ${WORKDIR}/populate-volatile.sh ${D}${sysconfdir}/init.d
85 install -m 0644 ${WORKDIR}/volatiles ${D}${sysconfdir}/default/volatiles/00_core
86 if [ "${TARGET_ARCH}" = "arm" ]; then
87 install -m 0755 ${WORKDIR}/alignment.sh ${D}${sysconfdir}/init.d
88 fi
89#
90# Install device dependent scripts
91#
92
93 if [ "${DISTRO}" == "openzaurus" ]; then
94 cat ${WORKDIR}/checkversion | sed -e "s,VERSION,${KERNEL_VERSION}-${DISTRO_VERSION}," > ${D}${sysconfdir}/init.d/checkversion
95 chmod 0755 ${D}${sysconfdir}/init.d/checkversion
96 ln -sf ../init.d/checkversion ${D}${sysconfdir}/rcS.d/S01version
97 fi
98
99 install -m 0755 ${WORKDIR}/banner ${D}${sysconfdir}/init.d/banner
100 install -m 0755 ${WORKDIR}/devices ${D}${sysconfdir}/init.d/devices
101 install -m 0755 ${WORKDIR}/umountfs ${D}${sysconfdir}/init.d/umountfs
102#
103# Create runlevel links
104#
105 ln -sf ../init.d/rmnologin ${D}${sysconfdir}/rc2.d/S99rmnologin
106 ln -sf ../init.d/rmnologin ${D}${sysconfdir}/rc3.d/S99rmnologin
107 ln -sf ../init.d/rmnologin ${D}${sysconfdir}/rc4.d/S99rmnologin
108 ln -sf ../init.d/rmnologin ${D}${sysconfdir}/rc5.d/S99rmnologin
109 ln -sf ../init.d/sendsigs ${D}${sysconfdir}/rc6.d/S20sendsigs
110# ln -sf ../init.d/urandom ${D}${sysconfdir}/rc6.d/S30urandom
111 ln -sf ../init.d/umountnfs.sh ${D}${sysconfdir}/rc6.d/S31umountnfs.sh
112 ln -sf ../init.d/umountfs ${D}${sysconfdir}/rc6.d/S40umountfs
113 # udev will run at S55 if installed
114 ln -sf ../init.d/ramdisk ${D}${sysconfdir}/rcS.d/S30ramdisk
115 ln -sf ../init.d/reboot ${D}${sysconfdir}/rc6.d/S90reboot
116 ln -sf ../init.d/sendsigs ${D}${sysconfdir}/rc0.d/S20sendsigs
117# ln -sf ../init.d/urandom ${D}${sysconfdir}/rc0.d/S30urandom
118 ln -sf ../init.d/umountnfs.sh ${D}${sysconfdir}/rc0.d/S31umountnfs.sh
119 ln -sf ../init.d/umountfs ${D}${sysconfdir}/rc0.d/S40umountfs
120 # udev will run at S55 if installed
121 ln -sf ../init.d/halt ${D}${sysconfdir}/rc0.d/S90halt
122 ln -sf ../init.d/banner ${D}${sysconfdir}/rcS.d/S02banner
123 ln -sf ../init.d/checkroot.sh ${D}${sysconfdir}/rcS.d/S10checkroot.sh
124# ln -sf ../init.d/checkfs.sh ${D}${sysconfdir}/rcS.d/S30checkfs.sh
125 ln -sf ../init.d/mountall.sh ${D}${sysconfdir}/rcS.d/S35mountall.sh
126 ln -sf ../init.d/hostname.sh ${D}${sysconfdir}/rcS.d/S39hostname.sh
127 ln -sf ../init.d/mountnfs.sh ${D}${sysconfdir}/rcS.d/S45mountnfs.sh
128 ln -sf ../init.d/bootmisc.sh ${D}${sysconfdir}/rcS.d/S55bootmisc.sh
129# ln -sf ../init.d/urandom ${D}${sysconfdir}/rcS.d/S55urandom
130 ln -sf ../init.d/finish ${D}${sysconfdir}/rcS.d/S99finish
131 ln -sf ../init.d/devices ${D}${sysconfdir}/rcS.d/S05devices
132 # udev will run at S04 if installed
133 ln -sf ../init.d/sysfs.sh ${D}${sysconfdir}/rcS.d/S03sysfs
134 ln -sf ../init.d/populate-volatile.sh ${D}${sysconfdir}/rcS.d/S37populate-volatile.sh
135 ln -sf ../init.d/devpts.sh ${D}${sysconfdir}/rcS.d/S38devpts.sh
136 if [ "${TARGET_ARCH}" = "arm" ]; then
137 ln -sf ../init.d/alignment.sh ${D}${sysconfdir}/rcS.d/S06alignment
138 fi
139
140 install -m 0755 ${WORKDIR}/device_table.txt ${D}${sysconfdir}/device_table
141}